# Uses of Interface
org.eclipse.mat.hprof.IHprofParserHandler

Packages that use IHprofParserHandler
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).

## Uses of IHprofParserHandler in org.eclipse.mat.hprof

Classes in org.eclipse.mat.hprof that implement IHprofParserHandler
Modifier and Type
Class
Description
`class`
`HprofParserHandlerImpl`
Constructors in org.eclipse.mat.hprof with parameters of type IHprofParserHandler
Modifier
Constructor
Description
``
`Pass1Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)`
``
`Pass2Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference, long streamLength, boolean parallel)`